--- a/drivers/scsi/FlashPoint.c
+++ b/drivers/scsi/FlashPoint.c
@@ -5721,37 +5131,38 @@ static void FPT_busMstrDataXferStart(ULO
  *               command busy is also time out, it'll just give up.
  *
  *---------------------------------------------------------------------*/
-static UCHAR FPT_busMstrTimeOut(ULONG p_port)
+static unsigned char FPT_busMstrTimeOut(unsigned long p_port)
 {
-   ULONG timeout;
+	unsigned long timeout;
 
-   timeout = LONG_WAIT;
+	timeout = LONG_WAIT;
 
-   WR_HARPOON(p_port+hp_sys_ctrl, HALT_MACH);
+	WR_HARPOON(p_port + hp_sys_ctrl, HALT_MACH);
 
-   while ((!(RD_HARPOON(p_port+hp_ext_status) & CMD_ABORTED)) && timeout--) {}
+	while ((!(RD_HARPOON(p_port + hp_ext_status) & CMD_ABORTED))
+	       && timeout--) {
+	}
 
-   
-   
-   if (RD_HARPOON(p_port+hp_ext_status) & BM_CMD_BUSY) {
-      WR_HARPOON(p_port+hp_sys_ctrl, HARD_ABORT);
+	if (RD_HARPOON(p_port + hp_ext_status) & BM_CMD_BUSY) {
+		WR_HARPOON(p_port + hp_sys_ctrl, HARD_ABORT);
 
-      timeout = LONG_WAIT;
-      while ((RD_HARPOON(p_port+hp_ext_status) & BM_CMD_BUSY) && timeout--) {}
-      }
+		timeout = LONG_WAIT;
+		while ((RD_HARPOON(p_port + hp_ext_status) & BM_CMD_BUSY)
+		       && timeout--) {
+		}
+	}
 
-   RD_HARPOON(p_port+hp_int_status);           /*Clear command complete */
+	RD_HARPOON(p_port + hp_int_status);	/*Clear command complete */
 
-   if (RD_HARPOON(p_port+hp_ext_status) & BM_CMD_BUSY) {
-      return(1);
-      }
+	if (RD_HARPOON(p_port + hp_ext_status) & BM_CMD_BUSY) {
+		return 1;
+	}
 
-   else {
-      return(0);
-      }
+	else {
+		return 0;
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: Host Data Transfer Abort
@@ -5759,256 +5170,282 @@ static UCHAR FPT_busMstrTimeOut(ULONG p_
  * Description: Abort any in progress transfer.
  *
  *---------------------------------------------------------------------*/
-static void FPT_hostDataXferAbort(ULONG port, UCHAR p_card, PSCCB pCurrSCCB)
+static void FPT_hostDataXferAbort(unsigned long port, unsigned char p_card,
+				  struct sccb *pCurrSCCB)
 {
 
-   ULONG timeout;
-   ULONG remain_cnt;
-   UINT sg_ptr;
-
-   FPT_BL_Card[p_card].globalFlags &= ~F_HOST_XFER_ACT;
-
-   if (pCurrSCCB->Sccb_XferState & F_AUTO_SENSE) {
-
-
-      if (!(RD_HARPOON(port+hp_int_status) & INT_CMD_COMPL)) {
-
-         WR_HARPOON(port+hp_bm_ctrl, (RD_HARPOON(port+hp_bm_ctrl) | FLUSH_XFER_CNTR));
-         timeout = LONG_WAIT;
-
-         while ((RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) && timeout--) {}
-
-         WR_HARPOON(port+hp_bm_ctrl, (RD_HARPOON(port+hp_bm_ctrl) & ~FLUSH_XFER_CNTR));
-
-         if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
-
-            if (FPT_busMstrTimeOut(port)) {
-
-               if (pCurrSCCB->HostStatus == 0x00)
+	unsigned long timeout;
+	unsigned long remain_cnt;
+	unsigned int sg_ptr;
 
-                  pCurrSCCB->HostStatus = SCCB_BM_ERR;
+	FPT_BL_Card[p_card].globalFlags &= ~F_HOST_XFER_ACT;
 
-               }
+	if (pCurrSCCB->Sccb_XferState & F_AUTO_SENSE) {
 
-            if (RD_HARPOON(port+hp_int_status) & INT_EXT_STATUS) 
+		if (!(RD_HARPOON(port + hp_int_status) & INT_CMD_COMPL)) {
 
-               if (RD_HARPOON(port+hp_ext_status) & BAD_EXT_STATUS) 
+			WR_HARPOON(port + hp_bm_ctrl,
+				   (RD_HARPOON(port + hp_bm_ctrl) |
+				    FLUSH_XFER_CNTR));
+			timeout = LONG_WAIT;
 
-                  if (pCurrSCCB->HostStatus == 0x00)
-
-                     {
-                     pCurrSCCB->HostStatus = SCCB_BM_ERR;
-                     }
-            }
-         }
-      }
-
-   else if (pCurrSCCB->Sccb_XferCnt) {
-
-      if (pCurrSCCB->Sccb_XferState & F_SG_XFER) {
-
-
-              WR_HARPOON(port+hp_page_ctrl, (RD_HARPOON(port+hp_page_ctrl) &
-            ~SCATTER_EN));
+			while ((RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY)
+			       && timeout--) {
+			}
 
-         WR_HARPOON(port+hp_sg_addr,0x00);
+			WR_HARPOON(port + hp_bm_ctrl,
+				   (RD_HARPOON(port + hp_bm_ctrl) &
+				    ~FLUSH_XFER_CNTR));
 
-         sg_ptr = pCurrSCCB->Sccb_sgseg + SG_BUF_CNT;
+			if (RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY) {
 
-         if (sg_ptr > (UINT)(pCurrSCCB->DataLength / SG_ELEMENT_SIZE)) {
+				if (FPT_busMstrTimeOut(port)) {
 
-            sg_ptr = (UINT)(pCurrSCCB->DataLength / SG_ELEMENT_SIZE);
-            }
+					if (pCurrSCCB->HostStatus == 0x00)
 
-         remain_cnt = pCurrSCCB->Sccb_XferCnt;
+						pCurrSCCB->HostStatus =
+						    SCCB_BM_ERR;
 
-         while (remain_cnt < 0x01000000L) {
+				}
 
-            sg_ptr--;
+				if (RD_HARPOON(port + hp_int_status) &
+				    INT_EXT_STATUS)
 
-            if (remain_cnt > (ULONG)(*(((ULONG *)pCurrSCCB->
-               DataPointer) + (sg_ptr * 2)))) {
+					if (RD_HARPOON(port + hp_ext_status) &
+					    BAD_EXT_STATUS)
 
-               remain_cnt -= (ULONG)(*(((ULONG *)pCurrSCCB->
-                  DataPointer) + (sg_ptr * 2)));
-               }
+						if (pCurrSCCB->HostStatus ==
+						    0x00)
+						{
+							pCurrSCCB->HostStatus =
+							    SCCB_BM_ERR;
+						}
+			}
+		}
+	}
 
-            else {
+	else if (pCurrSCCB->Sccb_XferCnt) {
 
-               break;
-               }
-            }
+		if (pCurrSCCB->Sccb_XferState & F_SG_XFER) {
 
+			WR_HARPOON(port + hp_page_ctrl,
+				   (RD_HARPOON(port + hp_page_ctrl) &
+				    ~SCATTER_EN));
 
+			WR_HARPOON(port + hp_sg_addr, 0x00);
 
-         if (remain_cnt < 0x01000000L) {
+			sg_ptr = pCurrSCCB->Sccb_sgseg + SG_BUF_CNT;
 
+			if (sg_ptr >
+			    (unsigned int)(pCurrSCCB->DataLength /
+					   SG_ELEMENT_SIZE)) {
 
-            pCurrSCCB->Sccb_SGoffset = remain_cnt;
+				sg_ptr =
+				    (unsigned int)(pCurrSCCB->DataLength /
+						   SG_ELEMENT_SIZE);
+			}
 
-            pCurrSCCB->Sccb_sgseg = (USHORT)sg_ptr;
+			remain_cnt = pCurrSCCB->Sccb_XferCnt;
 
+			while (remain_cnt < 0x01000000L) {
 
-            if ((ULONG)(sg_ptr * SG_ELEMENT_SIZE) == pCurrSCCB->DataLength 
-                && (remain_cnt == 0))
+				sg_ptr--;
 
-               pCurrSCCB->Sccb_XferState |= F_ALL_XFERRED;
-            }
+				if (remain_cnt >
+				    (unsigned
+				     long)(*(((unsigned long *)pCurrSCCB->
+					      DataPointer) + (sg_ptr * 2)))) {
 
-         else {
+					remain_cnt -=
+					    (unsigned
+					     long)(*(((unsigned long *)
+						      pCurrSCCB->DataPointer) +
+						     (sg_ptr * 2)));
+				}
 
+				else {
 
-            if (pCurrSCCB->HostStatus == 0x00) {
+					break;
+				}
+			}
 
-               pCurrSCCB->HostStatus = SCCB_GROSS_FW_ERR;
-               }
-            }
-         }
+			if (remain_cnt < 0x01000000L) {
 
+				pCurrSCCB->Sccb_SGoffset = remain_cnt;
 
-      if (!(pCurrSCCB->Sccb_XferState & F_HOST_XFER_DIR)) {
+				pCurrSCCB->Sccb_sgseg = (unsigned short)sg_ptr;
 
+				if ((unsigned long)(sg_ptr * SG_ELEMENT_SIZE) ==
+				    pCurrSCCB->DataLength && (remain_cnt == 0))
 
-         if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
+					pCurrSCCB->Sccb_XferState |=
+					    F_ALL_XFERRED;
+			}
 
-            FPT_busMstrTimeOut(port);
-            }
+			else {
 
-         else {
+				if (pCurrSCCB->HostStatus == 0x00) {
 
-            if (RD_HARPOON(port+hp_int_status) & INT_EXT_STATUS) {
+					pCurrSCCB->HostStatus =
+					    SCCB_GROSS_FW_ERR;
+				}
+			}
+		}
 
-               if (RD_HARPOON(port+hp_ext_status) & BAD_EXT_STATUS) {
+		if (!(pCurrSCCB->Sccb_XferState & F_HOST_XFER_DIR)) {
 
-                  if (pCurrSCCB->HostStatus == 0x00) {
+			if (RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY) {
 
-                     pCurrSCCB->HostStatus = SCCB_BM_ERR;
-                     }
-                  }
-               }
+				FPT_busMstrTimeOut(port);
+			}
 
-            }
-         }
+			else {
 
-      else {
+				if (RD_HARPOON(port + hp_int_status) &
+				    INT_EXT_STATUS) {
 
+					if (RD_HARPOON(port + hp_ext_status) &
+					    BAD_EXT_STATUS) {
 
-         if ((RD_HARPOON(port+hp_fifo_cnt)) >= BM_THRESHOLD) {
+						if (pCurrSCCB->HostStatus ==
+						    0x00) {
 
-            timeout = SHORT_WAIT;
+							pCurrSCCB->HostStatus =
+							    SCCB_BM_ERR;
+						}
+					}
+				}
 
-            while ((RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) &&
-               ((RD_HARPOON(port+hp_fifo_cnt)) >= BM_THRESHOLD) &&
-               timeout--) {}
-            }
+			}
+		}
 
-         if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
+		else {
 
-            WR_HARPOON(port+hp_bm_ctrl, (RD_HARPOON(port+hp_bm_ctrl) |
-               FLUSH_XFER_CNTR));
+			if ((RD_HARPOON(port + hp_fifo_cnt)) >= BM_THRESHOLD) {
 
-            timeout = LONG_WAIT;
+				timeout = SHORT_WAIT;
 
-            while ((RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) &&
-               timeout--) {}
+				while ((RD_HARPOON(port + hp_ext_status) &
+					BM_CMD_BUSY)
+				       && ((RD_HARPOON(port + hp_fifo_cnt)) >=
+					   BM_THRESHOLD) && timeout--) {
+				}
+			}
 
-            WR_HARPOON(port+hp_bm_ctrl, (RD_HARPOON(port+hp_bm_ctrl) &
-               ~FLUSH_XFER_CNTR));
+			if (RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY) {
 
+				WR_HARPOON(port + hp_bm_ctrl,
+					   (RD_HARPOON(port + hp_bm_ctrl) |
+					    FLUSH_XFER_CNTR));
 
-            if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
+				timeout = LONG_WAIT;
 
-               if (pCurrSCCB->HostStatus == 0x00) {
+				while ((RD_HARPOON(port + hp_ext_status) &
+					BM_CMD_BUSY) && timeout--) {
+				}
 
-                  pCurrSCCB->HostStatus = SCCB_BM_ERR;
-                  }
+				WR_HARPOON(port + hp_bm_ctrl,
+					   (RD_HARPOON(port + hp_bm_ctrl) &
+					    ~FLUSH_XFER_CNTR));
 
-               FPT_busMstrTimeOut(port);
-               }
-            }
+				if (RD_HARPOON(port + hp_ext_status) &
+				    BM_CMD_BUSY) {
 
-         if (RD_HARPOON(port+hp_int_status) & INT_EXT_STATUS) {
+					if (pCurrSCCB->HostStatus == 0x00) {
 
-            if (RD_HARPOON(port+hp_ext_status) & BAD_EXT_STATUS) {
+						pCurrSCCB->HostStatus =
+						    SCCB_BM_ERR;
+					}
 
-               if (pCurrSCCB->HostStatus == 0x00) {
+					FPT_busMstrTimeOut(port);
+				}
+			}
 
-                  pCurrSCCB->HostStatus = SCCB_BM_ERR;
-                  }
-               }
-            }
-         }
+			if (RD_HARPOON(port + hp_int_status) & INT_EXT_STATUS) {
 
-      }
+				if (RD_HARPOON(port + hp_ext_status) &
+				    BAD_EXT_STATUS) {
 
-   else {
+					if (pCurrSCCB->HostStatus == 0x00) {
 
+						pCurrSCCB->HostStatus =
+						    SCCB_BM_ERR;
+					}
+				}
+			}
+		}
 
-      if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
+	}
 
-         timeout = LONG_WAIT;
+	else {
 
-         while ((RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) && timeout--) {}
+		if (RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY) {
 
-         if (RD_HARPOON(port+hp_ext_status) & BM_CMD_BUSY) {
+			timeout = LONG_WAIT;
 
-            if (pCurrSCCB->HostStatus == 0x00) {
+			while ((RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY)
+			       && timeout--) {
+			}
 
-               pCurrSCCB->HostStatus = SCCB_BM_ERR;
-               }
+			if (RD_HARPOON(port + hp_ext_status) & BM_CMD_BUSY) {
 
-            FPT_busMstrTimeOut(port);
-            }
-         }
+				if (pCurrSCCB->HostStatus == 0x00) {
 
+					pCurrSCCB->HostStatus = SCCB_BM_ERR;
+				}
 
-      if (RD_HARPOON(port+hp_int_status) & INT_EXT_STATUS) {
+				FPT_busMstrTimeOut(port);
+			}
+		}
 
-         if (RD_HARPOON(port+hp_ext_status) & BAD_EXT_STATUS) {
+		if (RD_HARPOON(port + hp_int_status) & INT_EXT_STATUS) {
 
-            if (pCurrSCCB->HostStatus == 0x00) {
+			if (RD_HARPOON(port + hp_ext_status) & BAD_EXT_STATUS) {
 
-               pCurrSCCB->HostStatus = SCCB_BM_ERR;
-               }
-            }
+				if (pCurrSCCB->HostStatus == 0x00) {
 
-         }
+					pCurrSCCB->HostStatus = SCCB_BM_ERR;
+				}
+			}
 
-      if (pCurrSCCB->Sccb_XferState & F_SG_XFER) {
+		}
 
-         WR_HARPOON(port+hp_page_ctrl, (RD_HARPOON(port+hp_page_ctrl) &
-                 ~SCATTER_EN));
+		if (pCurrSCCB->Sccb_XferState & F_SG_XFER) {
 
-         WR_HARPOON(port+hp_sg_addr,0x00);
+			WR_HARPOON(port + hp_page_ctrl,
+				   (RD_HARPOON(port + hp_page_ctrl) &
+				    ~SCATTER_EN));
 
-         pCurrSCCB->Sccb_sgseg += SG_BUF_CNT;
+			WR_HARPOON(port + hp_sg_addr, 0x00);
 
-         pCurrSCCB->Sccb_SGoffset = 0x00; 
+			pCurrSCCB->Sccb_sgseg += SG_BUF_CNT;
 
+			pCurrSCCB->Sccb_SGoffset = 0x00;
 
-         if ((ULONG)(pCurrSCCB->Sccb_sgseg * SG_ELEMENT_SIZE) >=
-            pCurrSCCB->DataLength) {
+			if ((unsigned long)(pCurrSCCB->Sccb_sgseg *
+					    SG_ELEMENT_SIZE) >=
+			    pCurrSCCB->DataLength) {
 
-            pCurrSCCB->Sccb_XferState |= F_ALL_XFERRED;
+				pCurrSCCB->Sccb_XferState |= F_ALL_XFERRED;
 
-            pCurrSCCB->Sccb_sgseg = (USHORT)(pCurrSCCB->DataLength / SG_ELEMENT_SIZE);
+				pCurrSCCB->Sccb_sgseg =
+				    (unsigned short)(pCurrSCCB->DataLength /
+						     SG_ELEMENT_SIZE);
 
-            }
-         }
+			}
+		}
 
-      else {
+		else {
 
-         if (!(pCurrSCCB->Sccb_XferState & F_AUTO_SENSE))
+			if (!(pCurrSCCB->Sccb_XferState & F_AUTO_SENSE))
 
-            pCurrSCCB->Sccb_XferState |= F_ALL_XFERRED;
-         }
-      }
+				pCurrSCCB->Sccb_XferState |= F_ALL_XFERRED;
+		}
+	}
 
-   WR_HARPOON(port+hp_int_mask,(INT_CMD_COMPL | SCSI_INTERRUPT));
+	WR_HARPOON(port + hp_int_mask, (INT_CMD_COMPL | SCSI_INTERRUPT));
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: Host Data Transfer Restart
@@ -6017,47 +5454,47 @@ static void FPT_hostDataXferAbort(ULONG 
  *              pointers message.
  *
  *---------------------------------------------------------------------*/
-static void FPT_hostDataXferRestart(PSCCB currSCCB)
+static void FPT_hostDataXferRestart(struct sccb *currSCCB)
 {
-   ULONG data_count;
-   UINT  sg_index;
-   ULONG *sg_ptr;
+	unsigned long data_count;
+	unsigned int sg_index;
+	unsigned long *sg_ptr;
 
-   if (currSCCB->Sccb_XferState & F_SG_XFER) {
+	if (currSCCB->Sccb_XferState & F_SG_XFER) {
 
-      currSCCB->Sccb_XferCnt = 0;
+		currSCCB->Sccb_XferCnt = 0;
 
-      sg_index = 0xffff;         /*Index by long words into sg list. */
-      data_count = 0;            /*Running count of SG xfer counts. */
+		sg_index = 0xffff;	/*Index by long words into sg list. */
+		data_count = 0;	/*Running count of SG xfer counts. */
 
-      sg_ptr = (ULONG *)currSCCB->DataPointer;
+		sg_ptr = (unsigned long *)currSCCB->DataPointer;
 
-      while (data_count < currSCCB->Sccb_ATC) {
+		while (data_count < currSCCB->Sccb_ATC) {
 
-         sg_index++;
-         data_count += *(sg_ptr+(sg_index * 2));
-         }
+			sg_index++;
+			data_count += *(sg_ptr + (sg_index * 2));
+		}
 
-      if (data_count == currSCCB->Sccb_ATC) {
+		if (data_count == currSCCB->Sccb_ATC) {
 
-         currSCCB->Sccb_SGoffset = 0;
-         sg_index++;
-         }
+			currSCCB->Sccb_SGoffset = 0;
+			sg_index++;
+		}
 
-      else {
-         currSCCB->Sccb_SGoffset = data_count - currSCCB->Sccb_ATC;
-         }
+		else {
+			currSCCB->Sccb_SGoffset =
+			    data_count - currSCCB->Sccb_ATC;
+		}
 
-      currSCCB->Sccb_sgseg = (USHORT)sg_index;
-      }
+		currSCCB->Sccb_sgseg = (unsigned short)sg_index;
+	}
 
-   else {
-      currSCCB->Sccb_XferCnt = currSCCB->DataLength - currSCCB->Sccb_ATC;
-      }
+	else {
+		currSCCB->Sccb_XferCnt =
+		    currSCCB->DataLength - currSCCB->Sccb_ATC;
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scini
@@ -6066,177 +5503,192 @@ static void FPT_hostDataXferRestart(PSCC
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scini(UCHAR p_card, UCHAR p_our_id, UCHAR p_power_up)
+static void FPT_scini(unsigned char p_card, unsigned char p_our_id,
+		      unsigned char p_power_up)
 {
 
-   UCHAR loser,assigned_id;
-   ULONG p_port;
+	unsigned char loser, assigned_id;
+	unsigned long p_port;
 
-   UCHAR i,k,ScamFlg ;
-   PSCCBcard currCard;
-	PNVRamInfo pCurrNvRam;
+	unsigned char i, k, ScamFlg;
+	struct sccb_card *currCard;
+	struct nvram_info *pCurrNvRam;
 
-   currCard = &FPT_BL_Card[p_card];
-   p_port = currCard->ioPort;
+	currCard = &FPT_BL_Card[p_card];
+	p_port = currCard->ioPort;
 	pCurrNvRam = currCard->pNvRamInfo;
 
-
-	if(pCurrNvRam){
+	if (pCurrNvRam) {
 		ScamFlg = pCurrNvRam->niScamConf;
 		i = pCurrNvRam->niSysConf;
+	} else {
+		ScamFlg =
+		    (unsigned char)FPT_utilEERead(p_port, SCAM_CONFIG / 2);
+		i = (unsigned
+		     char)(FPT_utilEERead(p_port, (SYSTEM_CONFIG / 2)));
 	}
-	else{
-	   ScamFlg = (UCHAR) FPT_utilEERead(p_port, SCAM_CONFIG/2);
-	   i = (UCHAR)(FPT_utilEERead(p_port, (SYSTEM_CONFIG/2)));
-	}
-	if(!(i & 0x02))	/* check if reset bus in AutoSCSI parameter set */
+	if (!(i & 0x02))	/* check if reset bus in AutoSCSI parameter set */
 		return;
 
-   FPT_inisci(p_card,p_port, p_our_id);
+	FPT_inisci(p_card, p_port, p_our_id);
 
-   /* Force to wait 1 sec after SCSI bus reset. Some SCAM device FW
-      too slow to return to SCAM selection */
+	/* Force to wait 1 sec after SCSI bus reset. Some SCAM device FW
+	   too slow to return to SCAM selection */
 
-   /* if (p_power_up)
-         FPT_Wait1Second(p_port);
-      else
-         FPT_Wait(p_port, TO_250ms); */
+	/* if (p_power_up)
+	   FPT_Wait1Second(p_port);
+	   else
+	   FPT_Wait(p_port, TO_250ms); */
 
-   FPT_Wait1Second(p_port);
+	FPT_Wait1Second(p_port);
 
-   if ((ScamFlg & SCAM_ENABLED) && (ScamFlg & SCAM_LEVEL2))
-      {
-      while (!(FPT_scarb(p_port,INIT_SELTD))) {}
+	if ((ScamFlg & SCAM_ENABLED) && (ScamFlg & SCAM_LEVEL2)) {
+		while (!(FPT_scarb(p_port, INIT_SELTD))) {
+		}
 
-      FPT_scsel(p_port);
+		FPT_scsel(p_port);
 
-      do {
-         FPT_scxferc(p_port,SYNC_PTRN);
-         FPT_scxferc(p_port,DOM_MSTR);
-         loser = FPT_scsendi(p_port,&FPT_scamInfo[p_our_id].id_string[0]);
-         } while ( loser == 0xFF );
+		do {
+			FPT_scxferc(p_port, SYNC_PTRN);
+			FPT_scxferc(p_port, DOM_MSTR);
+			loser =
+			    FPT_scsendi(p_port,
+					&FPT_scamInfo[p_our_id].id_string[0]);
+		} while (loser == 0xFF);
 
-      FPT_scbusf(p_port);
+		FPT_scbusf(p_port);
 
-      if ((p_power_up) && (!loser))
-         {
-         FPT_sresb(p_port,p_card);
-         FPT_Wait(p_port, TO_250ms);
+		if ((p_power_up) && (!loser)) {
+			FPT_sresb(p_port, p_card);
+			FPT_Wait(p_port, TO_250ms);
 
-         while (!(FPT_scarb(p_port,INIT_SELTD))) {}
+			while (!(FPT_scarb(p_port, INIT_SELTD))) {
+			}
 
-         FPT_scsel(p_port);
+			FPT_scsel(p_port);
 
-         do {
-            FPT_scxferc(p_port, SYNC_PTRN);
-            FPT_scxferc(p_port, DOM_MSTR);
-            loser = FPT_scsendi(p_port,&FPT_scamInfo[p_our_id].
-               id_string[0]);
-            } while ( loser == 0xFF );
+			do {
+				FPT_scxferc(p_port, SYNC_PTRN);
+				FPT_scxferc(p_port, DOM_MSTR);
+				loser =
+				    FPT_scsendi(p_port,
+						&FPT_scamInfo[p_our_id].
+						id_string[0]);
+			} while (loser == 0xFF);
 
-         FPT_scbusf(p_port);
-         }
-      }
+			FPT_scbusf(p_port);
+		}
+	}
 
-   else
-      {
-      loser = 0;
-      }
+	else {
+		loser = 0;
+	}
 
+	if (!loser) {
 
-   if (!loser)
-      {
+		FPT_scamInfo[p_our_id].state = ID_ASSIGNED;
 
-      FPT_scamInfo[p_our_id].state = ID_ASSIGNED;
+		if (ScamFlg & SCAM_ENABLED) {
 
+			for (i = 0; i < MAX_SCSI_TAR; i++) {
+				if ((FPT_scamInfo[i].state == ID_UNASSIGNED) ||
+				    (FPT_scamInfo[i].state == ID_UNUSED)) {
+					if (FPT_scsell(p_port, i)) {
+						FPT_scamInfo[i].state = LEGACY;
+						if ((FPT_scamInfo[i].
+						     id_string[0] != 0xFF)
+						    || (FPT_scamInfo[i].
+							id_string[1] != 0xFA)) {
 
-		if (ScamFlg & SCAM_ENABLED)
-		{
+							FPT_scamInfo[i].
+							    id_string[0] = 0xFF;
+							FPT_scamInfo[i].
+							    id_string[1] = 0xFA;
+							if (pCurrNvRam == NULL)
+								currCard->
+								    globalFlags
+								    |=
+								    F_UPDATE_EEPROM;
+						}
+					}
+				}
+			}
 
-	      for (i=0; i < MAX_SCSI_TAR; i++)
-  		   {
-      	   if ((FPT_scamInfo[i].state == ID_UNASSIGNED) ||
-  	      	   (FPT_scamInfo[i].state == ID_UNUSED))
-	  	      {
-   	     	   if (FPT_scsell(p_port,i))
-      	  	   {
-            	   FPT_scamInfo[i].state = LEGACY;
-  	            	if ((FPT_scamInfo[i].id_string[0] != 0xFF) ||
-     	            	(FPT_scamInfo[i].id_string[1] != 0xFA))
-	     	         {
-
-   	        	      FPT_scamInfo[i].id_string[0] = 0xFF;
-      	        	   FPT_scamInfo[i].id_string[1] = 0xFA;
-							if(pCurrNvRam == NULL)
-	         	         currCard->globalFlags |= F_UPDATE_EEPROM;
-               	}
-	  	         }
-   	  	   }
-      	}
-
-	      FPT_sresb(p_port,p_card);
-      	FPT_Wait1Second(p_port);
-         while (!(FPT_scarb(p_port,INIT_SELTD))) {}
-         FPT_scsel(p_port);
-         FPT_scasid(p_card, p_port);
-         }
+			FPT_sresb(p_port, p_card);
+			FPT_Wait1Second(p_port);
+			while (!(FPT_scarb(p_port, INIT_SELTD))) {
+			}
+			FPT_scsel(p_port);
+			FPT_scasid(p_card, p_port);
+		}
 
-      }
+	}
 
-   else if ((loser) && (ScamFlg & SCAM_ENABLED))
-      {
-      FPT_scamInfo[p_our_id].id_string[0] = SLV_TYPE_CODE0;
-      assigned_id = 0;
-      FPT_scwtsel(p_port);
-
-      do {
-         while (FPT_scxferc(p_port,0x00) != SYNC_PTRN) {}
-
-         i = FPT_scxferc(p_port,0x00);
-         if (i == ASSIGN_ID)
-            {
-            if (!(FPT_scsendi(p_port,&FPT_scamInfo[p_our_id].id_string[0])))
-                  {
-                  i = FPT_scxferc(p_port,0x00);
-                  if (FPT_scvalq(i))
-                     {
-                     k = FPT_scxferc(p_port,0x00);
-
-                     if (FPT_scvalq(k))
-                        {
-                        currCard->ourId =
-                           ((UCHAR)(i<<3)+(k & (UCHAR)7)) & (UCHAR) 0x3F;
-                        FPT_inisci(p_card, p_port, p_our_id);
-                        FPT_scamInfo[currCard->ourId].state = ID_ASSIGNED;
-                        FPT_scamInfo[currCard->ourId].id_string[0]
-                           = SLV_TYPE_CODE0;
-                        assigned_id = 1;
-                        }
-                     }
-                  }
-            }
-
-         else if (i == SET_P_FLAG)
-            {
-               if (!(FPT_scsendi(p_port,
-                        &FPT_scamInfo[p_our_id].id_string[0])))
-                        FPT_scamInfo[p_our_id].id_string[0] |= 0x80;
-            }
-         }while (!assigned_id);
+	else if ((loser) && (ScamFlg & SCAM_ENABLED)) {
+		FPT_scamInfo[p_our_id].id_string[0] = SLV_TYPE_CODE0;
+		assigned_id = 0;
+		FPT_scwtsel(p_port);
+
+		do {
+			while (FPT_scxferc(p_port, 0x00) != SYNC_PTRN) {
+			}
+
+			i = FPT_scxferc(p_port, 0x00);
+			if (i == ASSIGN_ID) {
+				if (!
+				    (FPT_scsendi
+				     (p_port,
+				      &FPT_scamInfo[p_our_id].id_string[0]))) {
+					i = FPT_scxferc(p_port, 0x00);
+					if (FPT_scvalq(i)) {
+						k = FPT_scxferc(p_port, 0x00);
+
+						if (FPT_scvalq(k)) {
+							currCard->ourId =
+							    ((unsigned char)(i
+									     <<
+									     3)
+							     +
+							     (k &
+							      (unsigned char)7))
+							    & (unsigned char)
+							    0x3F;
+							FPT_inisci(p_card,
+								   p_port,
+								   p_our_id);
+							FPT_scamInfo[currCard->
+								     ourId].
+							    state = ID_ASSIGNED;
+							FPT_scamInfo[currCard->
+								     ourId].
+							    id_string[0]
+							    = SLV_TYPE_CODE0;
+							assigned_id = 1;
+						}
+					}
+				}
+			}
 
-      while (FPT_scxferc(p_port,0x00) != CFG_CMPLT) {}
-      }
+			else if (i == SET_P_FLAG) {
+				if (!(FPT_scsendi(p_port,
+						  &FPT_scamInfo[p_our_id].
+						  id_string[0])))
+					FPT_scamInfo[p_our_id].id_string[0] |=
+					    0x80;
+			}
+		} while (!assigned_id);
 
-   if (ScamFlg & SCAM_ENABLED)
-      {
-      FPT_scbusf(p_port);
-      if (currCard->globalFlags & F_UPDATE_EEPROM)
-         {
-         FPT_scsavdi(p_card, p_port);
-         currCard->globalFlags &= ~F_UPDATE_EEPROM;
-         }
-      }
+		while (FPT_scxferc(p_port, 0x00) != CFG_CMPLT) {
+		}
+	}
 
+	if (ScamFlg & SCAM_ENABLED) {
+		FPT_scbusf(p_port);
+		if (currCard->globalFlags & F_UPDATE_EEPROM) {
+			FPT_scsavdi(p_card, p_port);
+			currCard->globalFlags &= ~F_UPDATE_EEPROM;
+		}
+	}
 
 /*
    for (i=0,k=0; i < MAX_SCSI_TAR; i++)
@@ -6253,7 +5705,6 @@ static void FPT_scini(UCHAR p_card, UCHA
 */
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scarb
@@ -6262,59 +5713,60 @@ static void FPT_scini(UCHAR p_card, UCHA
  *
  *---------------------------------------------------------------------*/
 
-static int FPT_scarb(ULONG p_port, UCHAR p_sel_type)
+static int FPT_scarb(unsigned long p_port, unsigned char p_sel_type)
 {
-   if (p_sel_type == INIT_SELTD)
-      {
-
-      while (RD_HARPOON(p_port+hp_scsisig) & (SCSI_SEL | SCSI_BSY)) {}
-
-
-      if (RD_HARPOON(p_port+hp_scsisig) & SCSI_SEL)
-         return(0);
+	if (p_sel_type == INIT_SELTD) {
 
-      if (RD_HARPOON(p_port+hp_scsidata_0) != 00)
-         return(0);
+		while (RD_HARPOON(p_port + hp_scsisig) & (SCSI_SEL | SCSI_BSY)) {
+		}
 
-      WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig) | SCSI_BSY));
+		if (RD_HARPOON(p_port + hp_scsisig) & SCSI_SEL)
+			return 0;
 
-      if (RD_HARPOON(p_port+hp_scsisig) & SCSI_SEL) {
+		if (RD_HARPOON(p_port + hp_scsidata_0) != 00)
+			return 0;
 
-         WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig) &
-            ~SCSI_BSY));
-         return(0);
-         }
+		WR_HARPOON(p_port + hp_scsisig,
+			   (RD_HARPOON(p_port + hp_scsisig) | SCSI_BSY));
 
+		if (RD_HARPOON(p_port + hp_scsisig) & SCSI_SEL) {
 
-      WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig) | SCSI_SEL));
+			WR_HARPOON(p_port + hp_scsisig,
+				   (RD_HARPOON(p_port + hp_scsisig) &
+				    ~SCSI_BSY));
+			return 0;
+		}
 
-      if (RD_HARPOON(p_port+hp_scsidata_0) != 00) {
+		WR_HARPOON(p_port + hp_scsisig,
+			   (RD_HARPOON(p_port + hp_scsisig) | SCSI_SEL));
 
-         WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig) &
-            ~(SCSI_BSY | SCSI_SEL)));
-         return(0);
-         }
-      }
+		if (RD_HARPOON(p_port + hp_scsidata_0) != 00) {
 
+			WR_HARPOON(p_port + hp_scsisig,
+				   (RD_HARPOON(p_port + hp_scsisig) &
+				    ~(SCSI_BSY | SCSI_SEL)));
+			return 0;
+		}
+	}
 
-   WR_HARPOON(p_port+hp_clkctrl_0, (RD_HARPOON(p_port+hp_clkctrl_0)
-      & ~ACTdeassert));
-   WR_HARPOON(p_port+hp_scsireset, SCAM_EN);
-   WR_HARPOON(p_port+hp_scsidata_0, 0x00);
-   WR_HARPOON(p_port+hp_scsidata_1, 0x00);
-   WR_HARPOON(p_port+hp_portctrl_0, SCSI_BUS_EN);
+	WR_HARPOON(p_port + hp_clkctrl_0, (RD_HARPOON(p_port + hp_clkctrl_0)
+					   & ~ACTdeassert));
+	WR_HARPOON(p_port + hp_scsireset, SCAM_EN);
+	WR_HARPOON(p_port + hp_scsidata_0, 0x00);
+	WR_HARPOON(p_port + hp_scsidata_1, 0x00);
+	WR_HARPOON(p_port + hp_portctrl_0, SCSI_BUS_EN);
 
-   WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig) | SCSI_MSG));
+	WR_HARPOON(p_port + hp_scsisig,
+		   (RD_HARPOON(p_port + hp_scsisig) | SCSI_MSG));
 
-   WR_HARPOON(p_port+hp_scsisig, (RD_HARPOON(p_port+hp_scsisig)
-      & ~SCSI_BSY));
+	WR_HARPOON(p_port + hp_scsisig, (RD_HARPOON(p_port + hp_scsisig)
+					 & ~SCSI_BSY));
 
-   FPT_Wait(p_port,TO_250ms);
+	FPT_Wait(p_port, TO_250ms);
 
-   return(1);
+	return 1;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scbusf
@@ -6323,34 +5775,30 @@ static int FPT_scarb(ULONG p_port, UCHAR
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scbusf(ULONG p_port)
+static void FPT_scbusf(unsigned long p_port)
 {
-   WR_HARPOON(p_port+hp_page_ctrl,
-      (RD_HARPOON(p_port+hp_page_ctrl) | G_INT_DISABLE));
-
+	WR_HARPOON(p_port + hp_page_ctrl,
+		   (RD_HARPOON(p_port + hp_page_ctrl) | G_INT_DISABLE));
 
-   WR_HARPOON(p_port+hp_scsidata_0, 0x00);
+	WR_HARPOON(p_port + hp_scsidata_0, 0x00);
 
-   WR_HARPOON(p_port+hp_portctrl_0, (RD_HARPOON(p_port+hp_portctrl_0)
-      & ~SCSI_BUS_EN));
+	WR_HARPOON(p_port + hp_portctrl_0, (RD_HARPOON(p_port + hp_portctrl_0)
+					    & ~SCSI_BUS_EN));
 
-   WR_HARPOON(p_port+hp_scsisig, 0x00);
+	WR_HARPOON(p_port + hp_scsisig, 0x00);
 
+	WR_HARPOON(p_port + hp_scsireset, (RD_HARPOON(p_port + hp_scsireset)
+					   & ~SCAM_EN));
 
-   WR_HARPOON(p_port+hp_scsireset,  (RD_HARPOON(p_port+hp_scsireset)
-      & ~SCAM_EN));
+	WR_HARPOON(p_port + hp_clkctrl_0, (RD_HARPOON(p_port + hp_clkctrl_0)
+					   | ACTdeassert));
 
-   WR_HARPOON(p_port+hp_clkctrl_0, (RD_HARPOON(p_port+hp_clkctrl_0)
-      | ACTdeassert));
+	WRW_HARPOON((p_port + hp_intstat), (BUS_FREE | AUTO_INT | SCAM_SEL));
 
-   WRW_HARPOON((p_port+hp_intstat), (BUS_FREE | AUTO_INT | SCAM_SEL));
-
-   WR_HARPOON(p_port+hp_page_ctrl,
-      (RD_HARPOON(p_port+hp_page_ctrl) & ~G_INT_DISABLE));
+	WR_HARPOON(p_port + hp_page_ctrl,
+		   (RD_HARPOON(p_port + hp_page_ctrl) & ~G_INT_DISABLE));
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scasid
